Skip to content
The API may change between versions while TTX-Zone is 0.x.

Upload MSEL file

POST
/api/v1/ttx/{ttx_id}/msel/files

A file to hand out with injects (any type, stored as uploaded; linked by the next save).

Media typemultipart/form-data
Body_upload_msel_file_endpoint_api_v1_ttx__ttx_id__msel_files_post
object
file
required
File
string

Successful Response

Media typeapplication/json
MselFileRead

POST /ttx/{ttx_id}/msel/files: the stored file, to link from an inject (InjectFileInput.file_id).

object
id
required
Id
string format: uuid
name
required
Name
string
sha256
required
Sha256
string
size_bytes
required
Size Bytes
integer

Example generated

{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"sha256": "example",
"size_bytes": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}